package fr.velossity.sample.logging.client;

import org.osgi.service.log.LogService;


/**
 * 
 * @author C. Saint-Marcel
 * 
 */
public class LogClient {
	
	/**
	 * iPOJO field referencing the logger service.
	 */
	LogService logger;
	
	public LogClient() {
		logger.log(LogService.LOG_DEBUG, "Constructor entered");		
	}

	/**
	 * iPOJO callback, called at activation.
	 */
	public void activate() {
		logger.log(LogService.LOG_INFO, "Bundle activated");
	}

	/**
	 * iPOJO callback, called at deactivation.
	 */
	public void deactivate() {
		logger.log(LogService.LOG_INFO, "Bundle deactivated");
	}
}
